---@meta

---@class UWG_OptionMenu_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_HorizontalTabList UWG_HorizontalTabList_C
---@field SoundOptions UWG_AudioMenu_C
---@field GraphicsOptionsList URGListView
---@field GameplayOptionsList URGListView
---@field ContentSwitcher URGWidgetSwitcher
---@field AdvancedGraphics URGListView
---@field ActionBar UCommonBoundActionBar
---@field Resolutions TArray<FText>
---@field ToggleArray TArray<FText>
---@field WindowArray TArray<FText>
---@field QualitySettingsArray TArray<FText>
---@field OnOffArray TArray<FText>
---@field OverallQuality TArray<FText>
---@field Overall TArray<FText>
---@field DidChangedAdvancedGraphics boolean
---@field NumAutosaves FInt32Range
---@field AutosaveInterval FInt32Range
---@field AntiAliasLabels TArray<FText>
---@field AAMap TMap<int32, int32>
---@field OverallQualityData UOptionListItemStepper_C
---@field VoipModeArray TArray<FText>
---@field MicSensitivity UOptionListItemBar_C
---@field ActiveWidget UWidget
---@field AntiAliasMethod UOptionListItemStepper_C
---@field LanguageMap TMap<FString, FText>
---@field VSyncStepper UOptionListItemStepper_C
local UWG_OptionMenu_C = {}

---@param DLSSStepper UOptionListItemStepper_C
function UWG_OptionMenu_C:GetDLSSStepper(DLSSStepper) end
---@param AAStepper UOptionListItemStepper_C
function UWG_OptionMenu_C:GetAntiAliasingQualityStepper(AAStepper) end
---@param RayReconstructionStepper UOptionListItemStepper_C
function UWG_OptionMenu_C:GetRayReconstructionStepper(RayReconstructionStepper) end
---@param SuperResolutionStepper UOptionListItemStepperDLSS_C
function UWG_OptionMenu_C:GetSuperResolutionStepper(SuperResolutionStepper) end
---@param AAStepper UOptionListItemStepper_C
function UWG_OptionMenu_C:GetAntiAliasingStepper(AAStepper) end
---@param DLSSMode UDLSSMode
---@param Name FText
function UWG_OptionMenu_C:DLSSModeToDisplayName(DLSSMode, Name) end
---@param DLSSMode UDLSSMode
---@param Index int32
function UWG_OptionMenu_C:GetDLSSModeIndex(DLSSMode, Index) end
---@param DLSSModeList TArray<FText>
function UWG_OptionMenu_C:CreateDLSSModeList(DLSSModeList) end
---@param SelectedIndex int32
function UWG_OptionMenu_C:OnDLSSUpdated(SelectedIndex) end
function UWG_OptionMenu_C:PopulateGameplayOptions() end
---@param SelectedIndex int32
function UWG_OptionMenu_C:OnVOIPModeUpdated(SelectedIndex) end
function UWG_OptionMenu_C:PopulateSoundSettings() end
function UWG_OptionMenu_C:ApplySoundSettings() end
function UWG_OptionMenu_C:ApplyGameplaySettings() end
function UWG_OptionMenu_C:ApplyGraphicsSettings() end
---@param ResolutionScaleBar UOptionListItemBar_C
function UWG_OptionMenu_C:GetResolutionScaleBar(ResolutionScaleBar) end
function UWG_OptionMenu_C:ApplyAdvancedGraphics() end
---@return boolean
function UWG_OptionMenu_C:BP_OnHandleBackAction() end
---@param Handled boolean
function UWG_OptionMenu_C:HandleOptionBack(Handled) end
function UWG_OptionMenu_C:CloseAdvancedGraphics() end
function UWG_OptionMenu_C:PopulateAdvancedGraphics() end
---@return UWidget
function UWG_OptionMenu_C:BP_GetDesiredFocusTarget() end
---@param ID FName
---@param Text FText
function UWG_OptionMenu_C:GetTextFromID(ID, Text) end
function UWG_OptionMenu_C:OnAdvancedPressed() end
function UWG_OptionMenu_C:PopulateGraphicsOptions() end
---@param TabId FName
---@param TabButton UCommonButtonBase
function UWG_OptionMenu_C:OnTabButtonCreation_Event(TabId, TabButton) end
function UWG_OptionMenu_C:ApplySettings() end
function UWG_OptionMenu_C:Construct() end
function UWG_OptionMenu_C:BP_OnActivated() end
---@param ContentWidget UWidget
---@param Index int32
function UWG_OptionMenu_C:BndEvt__WG_OptionMenu_ContentSwitcher_K2Node_ComponentBoundEvent_0_OnActiveSwitcherIndexChanged__DelegateSignature(ContentWidget, Index) end
function UWG_OptionMenu_C:BP_OnDeactivated() end
---@param EntryPoint int32
function UWG_OptionMenu_C:ExecuteUbergraph_WG_OptionMenu(EntryPoint) end


